package org.gcube.dataanalysis.dataminer.poolmanager.ansible.model;

public class RoleFile ***REMOVED***

  /**
   * The path to the file, starting from the role root
   */
  private String path;
  
  /**
   * The name of the task file
   */
  private String name;
  
  /**
   * The content of the task file
   * @return
   */
  private String content;
  
  public RoleFile() ***REMOVED***
  ***REMOVED***

  public RoleFile(String name, String content) ***REMOVED***
    this();
    this.setName(name);
    this.setContent(content);
  ***REMOVED***
  
  public String getName() ***REMOVED***
    return name;
  ***REMOVED***

  public void setName(String name) ***REMOVED***
    this.name = name;
  ***REMOVED***

  public String getContent() ***REMOVED***
    return content;
  ***REMOVED***

  public void setContent(String content) ***REMOVED***
    this.content = content;
  ***REMOVED***

  public String getPath() ***REMOVED***
    return path;
  ***REMOVED***

  public void setPath(String path) ***REMOVED***
    this.path = path;
  ***REMOVED***
  
***REMOVED***
